package org.rcisoft.business.bvideo.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
* Created with gaowenfneg on 2017-10-9 14:34:56.
*/
@Entity
@Table(name = "b_video")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BVideo extends IdEntity<BVideo> {

    /*视频名称*/
    private String videoName;

    /*视频地址*/
    private String videoUrl;

    /*'0'为视频，'1'为附件*/
    private String type;

    @Transient
    private String lessonId;//开课ID

    @Transient
    private String chapterId;//节ID
}

