package org.rcisoft.sys.user.service.impl;

import org.rcisoft.core.model.PersistModel;
import org.rcisoft.sys.user.dao.SysUserMapper;
import org.rcisoft.sys.user.entity.SysUser;
import org.rcisoft.sys.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;
@Service
@Transactional(readOnly = true,propagation = Propagation.NOT_SUPPORTED)
public class UserServiceImpl implements UserService {

	@Autowired
	private SysUserMapper sysUserMapper;

	@Transactional(propagation = Propagation.REQUIRED,readOnly = false)
	@Override
	public PersistModel addUser(SysUser user) {
		int line = sysUserMapper.insertSelective(user);
		return new PersistModel(line);
	}
}
