package org.rcisoft.sys.user.entity;

import com.google.common.collect.Lists;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.IdEntity;
import org.rcisoft.sys.role.entity.SysRole;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * Created by lcy on 17/11/21.
 */
@Entity
@Table(name = "s_user")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SysUser extends IdEntity<SysUser> {

    private static final long serialVersionUID = 8885558381185320493L;


    /** 密码 */
    private String password;
    /** 用户名 */
    private String loginName;
    /** 用户名 */
    private String name;



    @Transient
    private List<SysRole> roleList = Lists.newArrayList(); // 拥有角色列表

}
